Skip to main content
GET
/
api
/
v1
/
reconciliations
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/reconciliations \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scope": "<string>",
        "connectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "connectorConfigName": "<string>",
        "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchantName": "<string>",
        "bankCode": "<string>",
        "period": "<string>",
        "periodStart": "2023-11-07T05:31:56Z",
        "periodEnd": "2023-11-07T05:31:56Z",
        "reconciliationDate": "2023-12-25",
        "totalDbTransactions": 123,
        "totalBankTransactions": 123,
        "matchedCount": 123,
        "amountMismatchCount": 123,
        "statusMismatchCount": 123,
        "orphanDbCount": 123,
        "orphanBankCount": 123,
        "resolvedCount": 123,
        "ignoredCount": 123,
        "totalDbAmount": 123,
        "totalBankAmount": 123,
        "overallStatus": "<string>",
        "finalizedAt": "2023-11-07T05:31:56Z",
        "finalizedBy": "<string>",
        "notes": "<string>",
        "created": "2023-11-07T05:31:56Z"
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

Page
integer<int32>
PageSize
integer<int32>
Scope
enum<integer>
Available options:
Connector,
Merchant
ConnectorConfigId
string<uuid>
MerchantId
string<uuid>
BankCode
string
Period
enum<integer>
Available options:
Daily,
Monthly,
Yearly,
Custom
OverallStatus
enum<integer>
Available options:
Draft,
InReview,
Completed,
PartiallyCompleted,
Cancelled
StartDate
string<date-time>
EndDate
string<date-time>

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object